{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare subroutine rlist, sendmessage, update_index\r\ndeclare function entid, repository, set_property, get_property, fieldcount\r\ndeclare function getwindow, send_event\r\n$insert rlist_equates\r\n$insert popup_equates\r\nequ QbfOccurred$ to 1126\r\n\r\nStmt = 'SELECT REACT_SERV_CAT REACTOR_SERVICE_CATEGORY'\r\nrlist( Stmt, target_activelist$, '', '', '' )\r\nif @reccount then\r\n    PopupRec = entid( @appid<1>, 'POPUP', '', 'SHOW_REACT_SERV_CAT' )\r\n    OverRide = ''\r\n    *OverRide<pselect$> = 2\r\n    RetVal = repository( 'EXECUTE', PopupRec, @window, OverRide )\r\n    if RetVal then\r\n       .serv_cat_id->text = RetVal\r\n    end\r\nend \r\nRETURN 0\r\n"
        }
    }
}